ClarisWksDatabaseInternal::Field Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksDatabaseInternal::Field Struct Reference

## Public Types
enum | Type { F_Unknown, F_Text, F_Number, F_Date, F_Time, F_Formula, F_FormulaSum, F_Checkbox, F_PopupMenu, F_RadioButton, F_ValueList, F_Multimedia }

## Public Member Functions
| Field ()
bool | isText () const
bool | isFormula () const
int | getNumDefault (int version) const

## Public Attributes
Type | m_type
int | m_defType
| the local definition type More...
int | m_resType
| the result type More...
std::string | m_name
| the field name More...
std::string | m_default
| the default value More...
std::vector< MWAWEntry > | m_valuesList
| list of different value list More...
std::vector< MWAWCellContent::FormulaInstruction > | m_formula
| the formula More...

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Member Enumeration Documentation

## ◆ Type

enum ClarisWksDatabaseInternal::Field::Type

Enumerator
F_Unknown |
F_Text |
F_Number |
F_Date |
F_Time |
F_Formula |
F_FormulaSum |
F_Checkbox |
F_PopupMenu |
F_RadioButton |
F_ValueList |
F_Multimedia |

## Constructor & Destructor Documentation

## ◆ Field()

ClarisWksDatabaseInternal::Field::Field | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getNumDefault()

int ClarisWksDatabaseInternal::Field::getNumDefault | ( | int | version | ) | const
| inline

## ◆ isFormula()

bool ClarisWksDatabaseInternal::Field::isFormula | ( |  | ) | const
| inline

## ◆ isText()

bool ClarisWksDatabaseInternal::Field::isText | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_default

std::string ClarisWksDatabaseInternal::Field::m_default

the default value

## ◆ m_defType

int ClarisWksDatabaseInternal::Field::m_defType

the local definition type

Referenced by getNumDefault().

## ◆ m_formula

std::vector<MWAWCellContent::FormulaInstruction> ClarisWksDatabaseInternal::Field::m_formula

the formula

## ◆ m_name

std::string ClarisWksDatabaseInternal::Field::m_name

the field name

## ◆ m_resType

int ClarisWksDatabaseInternal::Field::m_resType

the result type

## ◆ m_type

Type ClarisWksDatabaseInternal::Field::m_type

Referenced by getNumDefault(), isFormula(), and isText().

## ◆ m_valuesList

std::vector<MWAWEntry> ClarisWksDatabaseInternal::Field::m_valuesList

list of different value list

The documentation for this struct was generated from the following file:

- ClarisWksDatabase.cxx